[Overview][Constants][Types][Classes][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONNumberType

Enumerate the different kind of numerical types

## Declaration

Source position: fpjson.pp line 115

`type TJSONNumberType = (`
`ntFloat,` |  | Floating point value
`ntInteger,` |  | 32-bit Integer value
`ntInt64` |  | 64-bit integer value
`);`

## Description

TJSONNumberType is used to enumerate the different kind of numerical types: JSON only has a single 'number' format. Depending on how the value was parsed, FPC tries to create a value that is as close to the original value as possible: this can be one of integer, int64 or TJSONFloatType (normally a double). The number types have a common ancestor, and they are distinguished by their TJSONNumber.NumberType value.

## See also

TJSONNumber.NumberType |  | Kind of numerical data managed by this class.

Documentation generated on: Feb 26 2014